summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunk@stsci.edu>2016-05-02 15:13:11 -0400
committerJoseph Hunkeler <jhunk@stsci.edu>2016-05-02 15:13:11 -0400
commitd2f66bbcf50fb3899e3124a90ec25e8306eb4ca6 (patch)
tree15def03102dc8f73ed733c6252c629b55ae12d38
parentef37a66e9ea433e47f25c7c10e816f51d25ed4d4 (diff)
downloadastroconda-dev-d2f66bbcf50fb3899e3124a90ec25e8306eb4ca6.tar.gz
Implement request to disable jwst_lib.{modeling,wcs}
-rw-r--r--jwst_lib/build.sh10
-rw-r--r--jwst_lib/meta.yaml2
2 files changed, 9 insertions, 3 deletions
diff --git a/jwst_lib/build.sh b/jwst_lib/build.sh
index ced0780..1b0b189 100644
--- a/jwst_lib/build.sh
+++ b/jwst_lib/build.sh
@@ -2,5 +2,11 @@
pip install --no-deps --force --upgrade d2to1
for d in jwst_lib/*
do
-( cd $d && python setup.py install || exit 1 )
-done \ No newline at end of file
+ case "$d" in
+ # Append deprecated packages here to disable them
+ */modeling) continue ;;
+ */wcs) continue ;;
+ *) echo "Processing package: $d" ;;
+ esac
+ ( cd $d && python setup.py install || exit 1 )
+done
diff --git a/jwst_lib/meta.yaml b/jwst_lib/meta.yaml
index 53117a8..a62e30f 100644
--- a/jwst_lib/meta.yaml
+++ b/jwst_lib/meta.yaml
@@ -2,7 +2,7 @@
{% set version = environ.get("GIT_DESCRIBE_TAG", "0.0.0")
+".dev"
+environ.get("GIT_DESCRIBE_NUMBER", "0") %}
-{% set number = '1' %}
+{% set number = '0' %}
about:
home: ssh://git@bitbucket.org/stsci_ssb/jwst.git